# Daruma

[![CircleCI](https://circleci.com/gh/ayindi/daruma.svg?style=svg)](https://circleci.com/gh/ayindi/daruma)

The very simple HTTP client.

## Requirements

- Ruby 2.4.0 or higher

## Usage
### Get

```ruby
require 'daruma'

client = Daruma::Client.new('https://example.co.jp/')
params = {a: 1, b: 2}
response = client.get('/', params: params)
```

### Post

```ruby
require 'daruma'

client = Daruma::Client.new('https://example.co.jp/')
params = {a: 1, b: 2}
response = client.post('/', params: params)
```

### Put

```ruby
require 'daruma'

client = Daruma::Client.new('https://example.co.jp/')
params = {a: 1, b: 2}
response = client.put('/', params: params)
```

### Patch

```ruby
require 'daruma'

client = Daruma::Client.new('https://example.co.jp/')
params = {a: 1, b: 2}
response = client.patch('/', params: params)
```

### Delete

```ruby
require 'daruma'

client = Daruma::Client.new('https://example.co.jp/')
params = {a: 1, b: 2}
response = client.delete('/', params: params)
```

### Option
#### Retry

This code is that it is executing 4 times at 5 second intervals when error is occured.

```ruby
require 'daruma'

client = Daruma::Client.new('https://example.co.jp/')
response = client.get('/', tries: 3, sleep_seconds: 5)
```
